package nenok.net;

import java.rmi.RemoteException;

import nenok.va.Domain;
import nenok.va.Identity;
import nenok.va.Valuation;
import net.jini.id.Uuid;

/**
 * Identity locators for node initialization.
 * 
 * @author Marc Pouly
 * @version $LastChangedRevision: 556 $<br/>$LastChangedDate: 2008-03-26 14:21:45 +0100 (Mi, 26 Mrz 2008) $
 */

public final class IdentityLocator extends Locator {
		
	/**
	 * Constructor:
	 */
	
	public IdentityLocator() {
		super();
	}
	
	/**
	 * @see nenok.net.Locator#retrieve()
	 */
	
	@Override
	public Valuation retrieve() throws RemoteException {
		return Identity.INSTANCE;
	}
	
	/**
	 * @see nenok.net.Locator#delete()
	 */
	
	@Override
	public void delete() throws RemoteException {
		// do nothing
	}
	
	/**
	 * @see nenok.net.Locator#label()
	 */
	
	@Override
	public Domain label() {
		return Domain.EMPTY;
	}
	
	/**
	 * @see nenok.net.Locator#getWeight()
	 */
	
	@Override
	public int getWeight() {
		return 0;
	}
	
	/**
	 * @see nenok.net.Locator#getType()
	 */
	
	@Override
	public String getType() {
		return Identity.class.getName();
	}
	
	/**
	 * @see nenok.net.Locator#toString()
	 */
	
	@Override
	public String toString() {
		return "Identity Locator";
	}
	
	/**
	 * Sets the processor of this identity locator.
	 * @param pid The processor's identifier to set.
	 */
	
	public void setPID(Uuid pid) {
		this.pid = pid;
	}
	
	/**
	 * @see nenok.net.Locator#equals(java.lang.Object)
	 */
	
	@Override
	public boolean equals(Object o) {
		return (o instanceof IdentityLocator);
	}
}
