package nenok.va.sr;

import java.io.Serializable;

/**
 * This interface represents the most basic component in the realization of 
 * semiring induced valuation algebras. Namely, these are abstracts elments 
 * of a semiring, described by their two fundamental operations of addition
 * and multiplication.
 * 
 * @author Marc Pouly
 * @version $LastChangedRevision: 560 $<br/>$LastChangedDate: 2008-03-26 14:37:05 +0100 (Mi, 26 Mrz 2008) $
 */

public interface Semiring extends Serializable {
    
    /**
     * This method computes the addition of two semiring elements.
     * @param semiring The semiring element to add.
     * @return The result of the addition.
     */
    
    public Semiring add(Semiring semiring);
        
    /**
     * This method computes the multiplication of two semiring elements.
     * @param semiring The semiring element to multiply.
     * @return The result of the multiplication.
     */
    
    public Semiring multiply(Semiring semiring);
}
