package nenok.va.sr;

/**
 * Separative semirings allow the introduction of division into valuation 
 * algebras. This interface represents elements of a division aware semiring.
 * According to (Kohlas &amp; Wilson 2006) separative semirings are semirings 
 * whose multiplicative semigroup is separative and there exists an embedding 
 * into a union of groups such that the equivalence classes are positive. 
 * 
 * @author Marc Pouly
 * @version $LastChangedRevision: 560 $<br/>$LastChangedDate: 2008-03-26 14:37:05 +0100 (Mi, 26 Mrz 2008) $
 */

public interface SeparativeSemiring extends Semiring {

    /**
     * This method computes the inverse semiring element of <code>this</code>.
     * @return The inverse semiring element.
     */
    
    public SeparativeSemiring inverse();
}
